/*
 * De la trama obtenida de internet:
 * Sacamos el pin y el nivel si recibimos un texto con 'ds'. Ej ds091 pin 09 nivel 1
 * 
 */
void tratarTrama(){

   trama = trama.substring(7);  // SALIDA|ds131|
   Serial.println(trama);

  

  if (trama.indexOf("ds") != -1){
    int pin = trama.substring(2,4).toInt();
    int nivel = trama.substring(4,5).toInt();
    Serial.print("pin= ");
    Serial.print(pin);
    Serial.print(" nivel= ");
    Serial.println(nivel);
    digitalWrite(pin,nivel);
  }
  if (trama.indexOf("apagarTodos") != -1){
    apagarTodos();
  }
  if (trama.indexOf("encenderTodos") != -1){
    encenderTodos();
  }

}

